// bson_Validate.h

/*    Copyright 2012 10gen Inc.
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

#pragma once

#include "mongo/base/status.h"
#include "mongo/base/string_data.h"
#include "mongo/bson/bsontypes.h"
#include "mongo/client/export_macros.h"
#include "mongo/platform/cstdint.h"

namespace mongo {

/**
 * @param buf - bson data
 * @param maxLength - maxLength of buffer
 *                    this is NOT the bson size, but how far we know the buffer is valid
 */
MONGO_CLIENT_API Status MONGO_CLIENT_FUNC validateBSON(const char* buf, uint64_t maxLength);
}
